=== libstreams/tests/CMakeLists.txt ===
add_subdirectory(internal)
add_subdirectory(api)
