=== strigiclient/lib/CMakeLists.txt ===
if(NOT WIN32)
    add_subdirectory(htmlgui)
endif(NOT WIN32)
if(QT4_FOUND)
    add_subdirectory(searchclient)
endif(QT4_FOUND)
