=== strigidaemon/bin/CMakeLists.txt ===
add_subdirectory(combinedindex)
add_subdirectory(strigicmd)
add_subdirectory(daemon)
