=== debian/changelog ===
strigi (0.7.8-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      + Drop libavcodec-dev, libavformat-dev, libprostproc-dev and
        libswscale-dev from Build-Depends since they are in universe.
    - Add kubuntu_export-symbols.diff to fix compile on ppc64el

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2016 17:10:05 +0100

strigi (0.7.8-2) unstable; urgency=medium

  * Rename lib packages to their v5 version (gcc5 transition).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Aug 2015 18:33:38 +0200

strigi (0.7.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable (Closes: #739442)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 16 May 2014 07:28:13 -0400

strigi (0.7.8-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add libav10.patch and build against libav10 (Closes: #739442)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 19 Mar 2014 01:03:17 +0000

strigi (0.7.8-1ubuntu5) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:04:54 +0200

strigi (0.7.8-1ubuntu4) wily; urgency=medium

  * No-change rebuild for liblucene-core1v5 name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Aug 2015 15:39:37 +0200

strigi (0.7.8-1ubuntu3) wily; urgency=medium

  * Renamed libraries for gcc5 transition (Closes: #791356)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Jul 2015 13:30:35 +0200

strigi (0.7.8-1ubuntu2build1) utopic; urgency=medium

  * No change rebuild against new libexiv2-13

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 15:05:03 +1200

strigi (0.7.8-1ubuntu2) trusty; urgency=medium

  * Add kubuntu_export-symbols.diff to fix compile on ppc64el

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Mar 2014 12:53:33 +0000

strigi (0.7.8-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1281340) Remaining changes:
    - debian/control:
      + Drop libavcodec-dev, libavformat-dev, libprostproc-dev and
        libswscale-dev from Build-Depends since they are in universe.
  * Dropped following changes, are fixed in Debian:
    - debian/strigi-daemon.install:
      + In strigi-daemon.install usr/bin/luceneindexer
        now usr/bin/lucene2indexer with new version of clucene.
    - debian/libstreams-dev.install:
      + Fix install file.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 17 Feb 2014 21:24:56 +0100

strigi (0.7.8-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Maximiliano Curia ]
  * Remove patches applied upstream:
    - upstream_gcc47-fix-unistd.h-header-required-unconditionally-f.patch
    - id3_crash_fix.diff
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.
  * Avoid symbols for internal so files.
  * Add a watch file.
  * New patch: deepgrep_mayhem_fix.diff (Closes: #715819) fix for
    http://www.forallsecure.com/bug-
    reports/18bb7c6dfe2b4ae87a2937f9678b812bb1bd5c8d/

  [ Pino Toscano ]
  * Force the libdir to the non-multiarch path, to keep compatibility with
    what has been done so far.
  * Update libstreams-dev.install to not rely on a specific cmake build type.
    (Closes: #707525)
  * Bump cmake build dependency to 2.8.9, as requested by the upstream build
    system.
  * Minor touches to some descriptions, including a typo fix.
    (Closes: #680641)
  * Update .install files.
  * Require clucene >= 2, and adapt strigi-daemon.install to the new indexer
    (lucene2indexer instead of luceneindexer). (Closes: #718373)
  * Explicitly build depend on pkg-config, instead of relying on it being
    installed by something else.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Mon, 05 Aug 2013 00:08:36 +0200

strigi (0.7.7-3ubuntu6) trusty; urgency=low

  * Drop libprostproc-dev and libswscale-dev build-dependencies. (LP:
    #1243235)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 30 Oct 2013 17:51:26 +0000

strigi (0.7.7-3ubuntu5) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 23 Oct 2013 10:53:37 +0100

strigi (0.7.7-3ubuntu4) saucy; urgency=low

  * Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 23 Sep 2013 17:24:52 +0200

strigi (0.7.7-3ubuntu3) saucy; urgency=low

  * Rebuild against boost 1.53.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 01 May 2013 00:02:53 +0100

strigi (0.7.7-3ubuntu2) raring; urgency=low

  * In strigi-daemon.install usr/bin/luceneindexer now usr/bin/lucene2indexer
    with new version of clucene

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 15:42:49 +0000

strigi (0.7.7-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes:
   - Drop libavcodec-dev and libavformat-dev from build-deps as libavcodec
     is not allowed on CD images.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 14:38:09 +0000

strigi (0.7.7-2ubuntu2) quantal; urgency=low

  * No-change rebuild against libexiv2-12.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 01:01:23 +0200

strigi (0.7.7-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
   - Drop libavcodec-dev and libavformat-dev from build-deps as libavcodec
     is not allowed on CD images.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 09 May 2012 14:04:24 +0200

strigi (0.7.7-1.1ubuntu3) precise; urgency=low

  * Fix libstrigiqtdbusclient0.symbols for amd64 as well

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Apr 2012 17:42:07 -0400

strigi (0.7.7-1.1ubuntu2) precise; urgency=low

  * Remove non-existant LibStreamsTargets-noconfig.cmake from
    libstreams-dev.install to fix FTBFS
  * Fix libstrigiqtdbusclient0.symbols

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Apr 2012 17:06:22 -0400

strigi (0.7.7-1.1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:

