=== debian/watch ===
version=3
http://www.vandenoever.info/software/strigi/strigi-([\d.]+).tar.bz2
